

package myJPA;


import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.TypedQuery;

/**
 *
 * @author Prism
 */
public class Main {

    final private static Properties EMAIL_PROPS;
    final private static String EMAIL_FROM;
    
    static {
        EntityManagerFactory emf = javax.persistence.Persistence.createEntityManagerFactory("tmpCLMSPU");
        EntityManager emTemp = emf.createEntityManager();
        TypedQuery<EmailSettings> emailSettings = emTemp.createNamedQuery("EmailSettings.findByName", EmailSettings.class).setMaxResults(1);
        EmailSettings smtp, port, from;
        smtp = emailSettings.setParameter("name", "SMTP").getSingleResult();
        port = emailSettings.setParameter("name", "Port").getSingleResult();
        from = emailSettings.setParameter("name", "EMAILFROM").getSingleResult();
        // Get system properties
        EMAIL_PROPS = System.getProperties();
        // Setup mail server
        EMAIL_PROPS.put("mail.smtp.host", smtp.getValue());
        EMAIL_PROPS.put("mail.smtp.port", port.getValue());   //MUST_COMMENT: Default port=25 is already taken hence COMMENTED.
        EMAIL_FROM = from.getValue();
        emTemp.close();
        emf.close();
//        EMAIL_PROPS.put("mail.smtp.host", "135.147.150.45");
//        EMAIL_PROPS.put("mail.smtp.port", 25);   //MUST_COMMENT: Default port=25 is already taken hence COMMENTED.
//        EMAIL_FROM = "clms@prismcement.com";
    }
    
    Main() {
    }
    
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {

	new Main();

        javax.swing.SwingUtilities.invokeLater(new Runnable() {
            @Override
            public void run() {
                new FrmMain().setVisible(true);
            }
        });
   }

}
